{% extends "quizapp/base.html" %}
{% block title %} | Otázka {{ question.topic.name }}{% endblock %}
{% block body %}
    <div class="row h-100" style="border: 0; background: linear-gradient(to bottom, rgba(255,255,255,0) 20%, rgba(255,255,255,1)), url({% if question.topic.image and question.topic.image.strip %}{{ question.topic.image }}{% else %}https://wallpapercave.com/wp/wp2013746.jpg{% endif %}); background-repeat: no-repeat; background-size: cover ">
        <div class="col-12 ">
            <div class="row d-flex justify-content-center">
                <div class="card bg-light col-11" style="padding: 0; margin-top: 8rem">
                    <div class="card-header">
                        <div class="row">
                            <ol class="breadcrumb" style="background-color: transparent; padding-top: 0; padding-bottom: 0">
                                <li class="breadcrumb-item">
                                    <a href="{% url 'quiz' question.topic.quiz.id %}" style="color: inherit">
                                    {{ question.topic.quiz.start|date:"d. m. Y" }}
                                        {% if question.topic.quiz.start|date:"d. m. Y" != question.topic.quiz.end|date:"d. m. Y" %}
                                            - {{ question.topic.quiz.end|date:"d. m. Y" }}
                                        {% endif %}
                                    </a>
                                </li>
                                <li class="breadcrumb-item" aria-current="page">
                                    <a href="{% url 'topic' question.topic.id %}" style="color: inherit">
                                        {{ question.topic.name }}
                                    </a>
                                </li>
                                <li class="breadcrumb-item" aria-current="page">
                                    <a href="{% url 'question' question.id %}" style="color: inherit">
                                        {{ question.question_text|slice:":30" }}
                                         {% if question.question_text|length > 30 %}...{% endif %}
                                    </a>
                                </li>
                                <li class="breadcrumb-item active" aria-current="page">
                                    Body
                                </li>
                            </ol>

                    </div>
                        <div class="row">
                            <div class="col-8 d-flex  align-items-center">
                                <div>
                                    <h4 class="card-title d-flex justify-content-between align-items-center">
                                        Body
                                    </h4>
                                    <h5 class="card-subtitle mb-2 text-muted">Maximální počet bodů: {{ question.max_points }}</h5>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                       <form action="{% url 'addpoints' question.id %}" method="post">{% csrf_token %}
                            {{ points_form }}
                           <br/>
                           <br/>
                            <input class="btn btn-primary" type="submit" value="Submit">
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
